#! /usr/bin/env python3

from websockets import serve
import asyncio
import os

import auth
import stream
import groups

# variables
STAFF_PASSWORD = os.environ['ALLOC_STAFF_PW']
WS_PORT = 8081

protocol = {
    'allocate': groups.handle_allocate,
    'notify': stream.handle_notify,
    'kick': stream.handle_kick,
    'forceRename': auth.handle_rename
}

async def main():
    wsServer = stream.SocketServer(protocol)
    wsServer.groups = groups.GroupManager()
    wsServer.users = auth.UserManager()

    async with serve( wsServer.handler, "0.0.0.0", WS_PORT ):
        await asyncio.Future()

asyncio.run( main() )
